# dataSources.resolve

Open a pasted link or ID from a data source (for Notion: notion.so, app.notion.com, notion.site links, database and page IDs; for Google Drive: drive.google.com and docs.google.com links to files and folders, or a Drive ID). Returns whether it is a database or a page and the database ID to read rows from.

`GET | POST /api/v1/accounting/dataSources.resolve`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_data_sources_resolve`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `source` | enum | Yes | Where the record came from. One of: `notion`, `google_drive`, `onedrive`. |
| `url` | string | Yes | A full web address, starting with https://. 1–2000 characters. |

## Example request

```bash
curl -G https://app.getoatmilk.com/api/v1/accounting/dataSources.resolve \
  -H "Authorization: Bearer $OATMILK_API_KEY" \
  --data-urlencode 'source=notion' \
  --data-urlencode 'url=https://example.com/webhooks/oatmilk'
```

Reference page: https://app.getoatmilk.com/docs/api/dataSources.resolve
